TRUNCATE(7)

NAME
TRUNCATE - empty a table

SYNOPSIS

TRUNCATE [ TABLE ] name

  INPUTS

name
    The name of the table to be truncated.

  OUTPUTS

TRUNCATE
    Message returned if the table is successfully truncated.

DESCRIPTION

TRUNCATE quickly removes all rows from a table. It has the same effect as an unqualified DELETE but since it does not actually scan the table it is faster. This is most useful on large tables.

TRUNCATE cannot be executed inside a transaction block (BEGIN/COMMIT pair), because there is no way to roll it back.

USAGE

Truncate the table bigtable:

TRUNCATE TABLE bigtable;

COMPATIBILITY

  SQL92

There is no TRUNCATE in SQL92.